- Qt 6.8
- Qt GUI
- C++ Classes
- QDropEvent
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QDropEvent

The following members of class QDropEvent are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` Qt::KeyboardModifiers | keyboardModifiers() const
`(deprecated in 6.0)` Qt::MouseButtons | mouseButtons() const
`(deprecated in 6.0)` QPoint | pos() const
`(deprecated in 6.0)` QPointF | posF() const

## Member Function Documentation

### `[deprecated in 6.0]` Qt::KeyboardModifiers QDropEvent::keyboardModifiers() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use modifiers() instead.

Returns the modifier keys that are pressed.

### `[deprecated in 6.0]` Qt::MouseButtons QDropEvent::mouseButtons() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use buttons() instead.

Returns the mouse buttons that are pressed.

### `[deprecated in 6.0]` QPoint QDropEvent::pos() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use position().toPoint() instead.

Returns the position where the drop was made.

### `[deprecated in 6.0]` QPointF QDropEvent::posF() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use position() instead.

Returns the position where the drop was made.